UpdateBearer
Request
Path parameters
string, 10 characters, required
The Paymentology issued terminal ID of the terminal requesting the transaction
string, 1-255 characters, required
The user defined reference to the card; for example a member id or wallet number
string, 1-20 characters, required
The card number, sequence number or tracking number of the specified card
string, 0-50 characters, required
The first name of the card bearer. Field is required but can accept empty string
string, 0-50 characters, required
The last name of the card bearer. Field is required but can accept empty string
string, 0-20 characters, required
The ID or passport number of the card bearer. Field is required but can accept empty string
string, 0-20 characters, required
The cellphone number of the card bearer. Field is required but can accept empty string
string, 5 characters, required
The street address of the card bearer. No special characters nor alphabetic, example “17014”
string, 9 characters, required
The postal code of the card bearer. This value is left-justified with right-space-fill, example”12345 “,”123456789”
string, required
City or area of the card bearer.
string, 3 characters, required
ISO Alpha code indicating the country. eg. GBR
string, required
Email address of the card bearer.
string, 1-255 characters, required
A unique identifier generated by the client, which must not be duplicated over time.
date, required
Client generated / local Transaction Date to assist in identifying transactions on the client side
string, required
HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
<methodName>UpdateBearer</methodName>
<params>
<param>
<value>
<string>0012345678</string>
</value>
</param>
<param>
<value>
<string>0123456789012345</string>
</value>
</param>
<param>
<value>
<string>105232700000441</string>
</value>
</param>
<param>
<value>
<string>Jhon</string>
</value>
</param>
<param>
<value>
<string>Foo</string>
</value>
</param>
<param>
<value>
<string>id12345688</string>
</value>
</param>
<param>
<value>
<string>14988885522</string>
</value>
</param>
<param>
<value>
<string>Fourth Floor, 100 Victoria Embankment</string>
</value>
</param>
<param>
<value>
<string>123456789</string>
</value>
</param>
<param>
<value>
<string>London</string>
</value>
</param>
<param>
<value>
<string>United Kingdom</string>
</value>
</param>
<param>
<value>
<string>jhonfoo@mail.com</string>
</value>
</param>
<param>
<value>
<string>b7a2ee6c-2ce8-4fc0-a0c7-dc577f7b148e</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20241101T12:46:20</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>D79901B1D0B5857DC2A8BF20F2B517BCCB1F58DA</string>
</value>
</param>
</params>
</methodCall>
Response
STATUS200 OK
Schema
integer
Status code indicating transaction result
string
Text indicating the transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
Request
Path parameters
string, 10 characters, required
The Paymentology issued terminal ID of the terminal requesting the transaction
string, 1-255 characters, required
The user defined reference to the card; for example a member id or wallet number
string, 1-20 characters, required
The card number, sequence number or tracking number of the specified card
string, 0-50 characters, required
The first name of the card bearer. Field is required but can accept empty string
string, 0-50 characters, required
The last name of the card bearer. Field is required but can accept empty string
string, 0-20 characters, required
The ID or passport number of the card bearer. Field is required but can accept empty string
string, 0-20 characters, required
The cellphone number of the card bearer. Field is required but can accept empty string
string, 1-255 characters, required
A unique identifier generated by the client, which must not be duplicated over time.
date, required
Client generated / local Transaction Date to assist in identifying transactions on the client side
string, required
HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
<methodName>UpdateBearer</methodName>
<params>
<param>
<value>
<string>0012345678</string>
</value>
</param>
<param>
<value>
<string>0123456789012345</string>
</value>
</param>
<param>
<value>
<string>105232700000441</string>
</value>
</param>
<param>
<value>
<string>Jhon</string>
</value>
</param>
<param>
<value>
<string>Foo</string>
</value>
</param>
<param>
<value>
<string>id12345688</string>
</value>
</param>
<param>
<value>
<string>14988885522</string>
</value>
</param>
<param>
<value>
<string>ca815042-278c-4787-b990-efa2c67cf5cf</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20241101T12:50:47</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>2E39F0D566FD561B4D33471965B907C55B069B4E</string>
</value>
</param>
</params>
</methodCall>
Response
STATUS200 OK
Schema
integer
Status code indicating transaction result
string
Text indicating the transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
Was this page helpful?